%{?scl:%scl_package postgresql-pglogical}
%{!?scl:%global pkg_name %{name}}

# These must be the same as in the PostgreSQL RPM:
%{!?%packagename:%define packagename %{?scl_prefix}postgresql}

Name:     %{packagename}-pglogical
Version:  1.0.1
Release:  4%{?dist}
Summary:  pglogical - trigger-free streaming logical replication

Group:    Applications/Databases
License:  PostgreSQL
URL:      http://2ndquadrant.com/pglogical
Source0:  http://packages.2ndquadrant.com/pglogical/tarballs/pglogical-%{version}.tar.bz2
Patch0:   node_drop_lw_lock.patch

BuildRequires:  %{packagename}-devel%{?_isa}
BuildRequires:  %{packagename}-static%{?_isa}
Requires:       %{packagename}%{?_isa}
Requires:       %{packagename}-server%{?_isa}
Requires:       %{packagename}-contrib%{?_isa}

BuildRequires:  %{packagename}-pglogical-output >= %{version}
Requires:       %{packagename}-pglogical-output >= %{version}

# These should match those in the PostgreSQL spec, as they're headers
# PostgreSQL exposes via includes in its own public headers, and/or or that
# pg_config will emit linker options to link to.
#
# These should actually be Requires: dependencies of postgresql94-devel, but
# they aren't; see http://www.postgresql.org/message-id/547C0032.7040309@2ndquadrant.com
#
BuildRequires:  openssl-devel
BuildRequires:  gettext >= 0.10.35
BuildRequires:  libxml2-devel libxslt-devel
BuildRequires:  pam-devel
BuildRequires:  readline-devel
BuildRequires:  zlib-devel >= 1.0.4

%description
Ths package installs the pglogical plugin that provides logical streaming
replication for PostgreSQL using a publish/subscribe model.  It can be used for
upgrades between major versions, full database replication, selective
replication, & gathering/merging data from multiple upstream servers.

pglogical is developed, maintained, and supported by 2ndQuadrant
(http://2ndquadrant.com).

This package is built for PostgreSQL %{packagename}
from http://yum.postgresql.org/

%prep
%setup -q -n pglogical-%{version}

%patch0 -p1

%build
%{?scl:scl enable %{scl} - << \EOF}
export PATH=%{_bindir}:$PATH
make USE_PGXS=1 -s %{?_smp_mflags}
%{?scl:EOF}

%install
%{?scl:scl enable %{scl} - << \EOF}
export PATH=%{_bindir}:$PATH
make USE_PGXS=1 DESTDIR=%{buildroot} install
%{?scl:EOF}

mkdir -p %{buildroot}%{_docdir}/%{pkg_name}
cp README.md %{buildroot}%{_docdir}/%{pkg_name}/

%files
%{_libdir}/pgsql/pglogical.so
%{_datadir}/pgsql/extension/pglogical--1.0.0.sql
%{_datadir}/pgsql/extension/pglogical--1.0.0--1.0.1.sql
%{_datadir}/pgsql/extension/pglogical--1.0.1.sql
%{_datadir}/pgsql/extension/pglogical.control
%{_bindir}/pglogical_create_subscriber
%{_docdir}/%{pkg_name}/README.md


%changelog
* Wed Aug 17 2016 Satoe Imaishi <simaishi@redhat.com> 1.0.1-4
- Build for postgresql95, remove check for 94

* Thu May 19 2016 Satoe Imaishi <simaishi@redhat.com> 1.0.1-3
- Patch pglogical for lock issue (from Nick Carboni)

* Tue Mar 22 2016 Satoe Imaishi <simaishi@redhat.com> 1.0.1-2
- Fix the -contrib require

* Mon Mar 21 2016 Satoe Imaishi <simaishi@redhat.com> 1.0.1-1
- Initial Build
